package com.zsc.edu.gateway.modules.iot.tsl.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zsc.edu.gateway.modules.iot.product.dto.ProductDto;
import com.zsc.edu.gateway.modules.iot.product.entity.ProductParam;
import com.zsc.edu.gateway.modules.iot.tsl.dto.EventDto;
import com.zsc.edu.gateway.modules.iot.tsl.dto.ParamDto;
import com.zsc.edu.gateway.modules.iot.tsl.dto.ServeDto;
import com.zsc.edu.gateway.modules.iot.tsl.entity.EventParam;
import com.zsc.edu.gateway.modules.iot.tsl.entity.Param;
import com.zsc.edu.gateway.modules.iot.tsl.entity.ServeParam;

import java.util.List;

/**
 * @author zhuang
 */
public interface ParamService extends IService<Param> {
    List<EventParam> eventParamCreate(EventDto dto, Long eventId);

    List<ProductParam> productParamCreate(ProductDto dto, Long productId);

    List<ServeParam> serveParamCreate(ServeDto dto, Long serveId);

    boolean eventParamUpdate(List<ParamDto> paramDto, Long eventId);

    boolean productParamUpdate(List<ParamDto> paramDto, Long productId);

    boolean serveParamUpdate(List<ParamDto> paramDto, Long serveId);
}
